com.h3c.util

## Enum Interval.Type

- java.lang.Object
- - java.lang.Enum<Interval.Type>
  - - com.h3c.util.Interval.Type

- All Implemented Interfaces:
    Serializable, Comparable<Interval.Type>
  Enclosing class:
    Interval<D extends Comparable<D>>

      public static enum Interval.Type
      extends Enum<Interval.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` A closed interval includes its end points, and is denoted with square brackets.
    `LEFT_CLOSED_RIGHT_OPEN` Left closed right open
    `LEFT_CLOSED_RIGHT_UNBOUNDED` Left closed right unbounded
    `LEFT_OPEN_RIGHT_CLOSED` Left open right closed.
    `LEFT_OPEN_RIGHT_UNBOUNDED` Left open right unbounded
    `LEFT_UNBOUNDED_RIGHT_CLOSED` Left unbounded right closed
    `LEFT_UNBOUNDED_RIGHT_OPEN` Left unbounded right open
    `OPEN` An open interval does not include its end points, and is indicated with parentheses.
    `UNBOUNDED` An interval is said to be left-bounded or right-bounded if there is some real number that is, respectively, smaller than or larger than all its elements.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Interval.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Interval.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final Interval.Type OPEN

      An open interval does not include its end points, and is indicated with parentheses. For example `(0,1)` means greater than `0` and less than `1`.

    - #### CLOSED

          public static final Interval.Type CLOSED

      A closed interval includes its end points, and is denoted with square brackets. For example `[0,1]` means greater than or equal to `0` and less than or equal to `1`.

    - #### UNBOUNDED

          public static final Interval.Type UNBOUNDED

      An interval is said to be left-bounded or right-bounded if there is some real number that is, respectively, smaller than or larger than all its elements. An interval is said to be bounded if it is both left- and right-bounded; and is said to be unbounded otherwise.

    - #### LEFT_CLOSED_RIGHT_OPEN

          public static final Interval.Type LEFT_CLOSED_RIGHT_OPEN

      Left closed right open

    - #### LEFT_OPEN_RIGHT_CLOSED

          public static final Interval.Type LEFT_OPEN_RIGHT_CLOSED

      Left open right closed.

    - #### LEFT_OPEN_RIGHT_UNBOUNDED

          public static final Interval.Type LEFT_OPEN_RIGHT_UNBOUNDED

      Left open right unbounded

    - #### LEFT_CLOSED_RIGHT_UNBOUNDED

          public static final Interval.Type LEFT_CLOSED_RIGHT_UNBOUNDED

      Left closed right unbounded

    - #### LEFT_UNBOUNDED_RIGHT_OPEN

          public static final Interval.Type LEFT_UNBOUNDED_RIGHT_OPEN

      Left unbounded right open

    - #### LEFT_UNBOUNDED_RIGHT_CLOSED

          public static final Interval.Type LEFT_UNBOUNDED_RIGHT_CLOSED

      Left unbounded right closed

  - ### Method Detail

    - #### values

          public static Interval.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Interval.Type c : Interval.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Interval.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.